package com.sv.exception.api;

import com.ydd.framework.core.exception.ExceptionCode;

public class ExceptionCodeTemplate {
    public static final ExceptionCode LOGIN_FAILED = ExceptionCode.init(10002, "登录失败");

    public static final ExceptionCode SERVER_ERROR = ExceptionCode.init(-1, "服务器异常，请稍后再试");

    public static final ExceptionCode MEMBER_IN_VALID = ExceptionCode.init(10008, "用户已被封禁");

    public static final ExceptionCode ERROR_MEMBER = ExceptionCode.init(10012, "您的信息有误，请联系客服");

    public static final ExceptionCode MOBILE_EXISTS = ExceptionCode.init(20003, "该手机已被注册");

    public static final ExceptionCode INCORRECT_CAPTCHA = ExceptionCode.init(20002, "验证码错误");

    public static final ExceptionCode LOGIN_ERROR = ExceptionCode.init(20004, "您还未注册，请先注册");
    public static final ExceptionCode PHONE_ERROR = ExceptionCode.init(20021, "该手机号码已被绑定");

    public static final ExceptionCode MEMBER_ERROR = ExceptionCode.init(20005, "您的账户被锁定，请联系客服");

    public static final ExceptionCode NONE_MEMBER_INFORMATION = ExceptionCode.init(20006, "会员信息不存在");

    public static final ExceptionCode VIP_ERROR = ExceptionCode.init(20007, "该会员卡禁止购买");

    public static final ExceptionCode ORDER_ERROR = ExceptionCode.init(20008, "下单失败");
    public static final ExceptionCode LESSON_ERROR = ExceptionCode.init(20009, "该课程已下架");
    public static final ExceptionCode LESSON_FULL = ExceptionCode.init(20010, "该课程已满额");
    public static final ExceptionCode LESSON_END = ExceptionCode.init(20011, "该课程已结束");
    public static final ExceptionCode LESSON_TICKET_ERROR = ExceptionCode.init(20012, "课程票不足,预约失败");
    public static final ExceptionCode LESSON_TICKET_LOCK_ERROR = ExceptionCode.init(20013, "当前购买用户较多，请稍候再试");

    public static final ExceptionCode MEMBER_CARD_ERROR = ExceptionCode.init(20013, "会员卡无效，预约失败");
    public static final ExceptionCode MEMBER_CARD_FAIL = ExceptionCode.init(20014, "会员卡已失效，预约失败");
    public static final ExceptionCode MEMBER_CARD_LIFE = ExceptionCode.init(20015, "会员卡还未激活，预约失败");
    public static final ExceptionCode MEMBER_CARD_USER = ExceptionCode.init(20020, "今天已使用免费卡");

    public static final ExceptionCode LESSON_CANCEL = ExceptionCode.init(20016, "48小时内无法取消课程");

    public static final ExceptionCode LESSON_CANCEL_NO = ExceptionCode.init(20017, "改课程无法取消");
    public static final ExceptionCode LESSON_CANCEL_DAY = ExceptionCode.init(20018, "当天已取消过，不能重复操作");
    public static final ExceptionCode LESSON_ERROR_CANCEL = ExceptionCode.init(20019, "订单未生效，无法取消");
    public static final ExceptionCode MEMBER_HAD_BANED = ExceptionCode.init(20020, "您连续两次缺席公益课程无法再次预约，请联系管理员");

    public static final ExceptionCode MONEY_ERROR = ExceptionCode.init(20021, "提现金额不能大于余额");

    public static final ExceptionCode LESSON_SIGN_ERROR = ExceptionCode.init(20022, "未购买此课程");

    public static final ExceptionCode BUY_ERROR = ExceptionCode.init(30022, "请先使用微信登录");

    public static final ExceptionCode VENUE_ERROR = ExceptionCode.init(30023, "场馆暂未开放");


}
